Universal Ledger API

Universal Ledger API.

Service: universalledger.googleapis.com

Service endpoint

A service endpoint is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:

  • https://universalledger.googleapis.com

Regional service endpoint

A regional service endpoint is a base URL that specifies the network address of an API service in a single region. A service that is available in multiple regions might have multiple regional endpoints. Select a location to see its regional service endpoint for this service.


  • https://universalledger.googleapis.com
  • REST Resource: v1.projects.locations

    Methods
    get GET /v1/{name=projects/*/locations/*}
    Gets information about a location.
    list GET /v1/{name=projects/*}/locations
    Lists information about the supported locations for this service.

    REST Resource: v1.projects.locations.endpoints

    Methods
    get GET /v1/{name=projects/*/locations/*/endpoints/*}
    Gets the details of a specific endpoint.
    list GET /v1/{parent=projects/*/locations/*}/endpoints
    Lists all endpoints for a given project and location.
    queryAccount GET /v1/{endpoint=projects/*/locations/*/endpoints/*}:queryAccount
    Queries all the information stored about an account in the network.
    queryData POST /v1/{endpoint=projects/*/locations/*/endpoints/*}:queryData
    Queries the network for information stored on the ledger, such as accounts and transactions.
    queryTransactionState GET /v1/{endpoint=projects/*/locations/*/endpoints/*}:queryTransactionState
    Queries the state of a transaction.
    submitOperationalTransaction POST /v1/{endpoint=projects/*/locations/*/endpoints/*}:submitOperationalTransaction
    Submits an operational transaction to the network.
    submitTransaction POST /v1/{endpoint=projects/*/locations/*/endpoints/*}:submitTransaction
    Submits a transaction to the network.